namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "laser_focus")]
public class LaserFocusEffect : Script, IScriptChangeCriticalStage
{
    /// <inheritdoc />
    public void ChangeCriticalStage(IExecutingMove move, IPokemon target, byte hit, ref byte stage)
    {
        stage = 100;
        RemoveSelf();
    }
}